'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

exports.default = function (args) {
  var newTypeKey = args._[1];
  var newType = newTypes[newTypeKey];
  if ((0, _isNil2.default)(newType)) {
    _log2.default.error('Unknown new type: \'' + newTypeKey + '\'.');
    _log2.default.error('Only support new types [' + (0, _keys2.default)(newTypes).join(', ') + '].');
    process.exit(0);
  }

  var config = _config2.default.create();

  function promptHandler(data) {
    // Set date to now.
    data.date = new Date();

    var filePath = _url2.default.interpolatePermalink(config.get('new_file_permalink'), data).toLowerCase();
    var fileContent = newType.template(data);
    var absolutePath = _path2.default.join(config.get('path.source'), filePath);

    // Write file!
    _fsExtra2.default.outputFileSync(absolutePath, fileContent, 'utf8');

    _log2.default.info('New ' + newTypeKey + ' created at ' + absolutePath);
  }

  _inquirer2.default.prompt(newType.prompts).then(promptHandler);
};

var _log = require('../lib/log');

var _log2 = _interopRequireDefault(_log);

var _isNil = require('lodash/isNil');

var _isNil2 = _interopRequireDefault(_isNil);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _inquirer = require('inquirer');

var _inquirer2 = _interopRequireDefault(_inquirer);

var _config = require('../lib/config');

var _config2 = _interopRequireDefault(_config);

var _url = require('../lib/url');

var _url2 = _interopRequireDefault(_url);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var newTypes = {
  file: {
    prompts: [{
      name: 'title',
      type: 'input',
      message: 'Title of new file.',
      validate: function validate(input) {
        return !(0, _isNil2.default)(input);
      }
    }],
    template: function template(data) {
      return '---\ntitle: ' + data.title + '\ndate: ' + data.date.toISOString() + '\n---\n';
    }
  }
};