'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createCollection = createCollection;

var _fileSystem = require('./type/file-system');

var _fileSystem2 = _interopRequireDefault(_fileSystem);

var _metadata = require('./type/metadata');

var _metadata2 = _interopRequireDefault(_metadata);

var _static = require('./type/static');

var _static2 = _interopRequireDefault(_static);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createCollection(name, collectionConfig, getConfig) {
  if (collectionConfig.static) {
    return new _static2.default(name, collectionConfig, getConfig);
  } else if (collectionConfig.metadata) {
    return new _metadata2.default(name, collectionConfig, getConfig);
  } else {
    return new _fileSystem2.default(name, collectionConfig, getConfig);
  }
}