'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _activityLogger = require('activity-logger');

var _activityLogger2 = _interopRequireDefault(_activityLogger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var verboseMode = false;
var isSilent = false;

exports.default = {
  setLogLevel: function setLogLevel(logLevel) {
    if (logLevel === 'verbose') {
      verboseMode = true;
    }
  },
  setSilent: function setSilent() {
    var newSilent = arguments.length <= 0 || arguments[0] === undefined ? false : arguments[0];

    isSilent = newSilent;
  },
  info: function info() {
    var prefix = _chalk2.default.green('info') + ':\t';

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    args.unshift(prefix);
    console.log.apply(console, args);
  },
  warn: function warn() {
    if (!verboseMode) {
      return;
    }
    var prefix = _chalk2.default.yellow('warn') + ':\t';

    for (var _len2 = arguments.length, args = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      args[_key2] = arguments[_key2];
    }

    args.unshift(prefix);
    console.log.apply(console, args);
  },
  error: function error() {
    var prefix = _chalk2.default.red('error') + ':\t';

    for (var _len3 = arguments.length, args = Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
      args[_key3] = arguments[_key3];
    }

    args.unshift(prefix);
    console.log.apply(console, args);
  },
  startActivity: function startActivity(name) {
    if (isSilent) {
      return;
    }
    return _activityLogger2.default.start(name);
  },
  endActivity: function endActivity(id) {
    if (isSilent) {
      return;
    }
    return _activityLogger2.default.end(id);
  }
};