'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _isUndefined = require('lodash/isUndefined');

var _isUndefined2 = _interopRequireDefault(_isUndefined);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _processorBase = require('../processor-base');

var _processorBase2 = _interopRequireDefault(_processorBase);

var _less = require('less');

var _less2 = _interopRequireDefault(_less);

var _lessPluginAutoprefix = require('less-plugin-autoprefix');

var _lessPluginAutoprefix2 = _interopRequireDefault(_lessPluginAutoprefix);

var _lessPluginCleanCss = require('less-plugin-clean-css');

var _lessPluginCleanCss2 = _interopRequireDefault(_lessPluginCleanCss);

var _lessPluginNpmImport = require('less-plugin-npm-import');

var _lessPluginNpmImport2 = _interopRequireDefault(_lessPluginNpmImport);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Less = function (_ProcessorBase) {
  (0, _inherits3.default)(Less, _ProcessorBase);

  function Less() {
    (0, _classCallCheck3.default)(this, Less);
    return (0, _possibleConstructorReturn3.default)(this, (Less.__proto__ || (0, _getPrototypeOf2.default)(Less)).apply(this, arguments));
  }

  (0, _createClass3.default)(Less, [{
    key: '_getFile',
    value: function _getFile() {
      // Derive source path from the input source file.
      var sourcePath = _path2.default.dirname(this.assetSource);

      var lessPlugins = [];

      // Add built-in plugins.
      lessPlugins.push(new _lessPluginNpmImport2.default({
        basedir: sourcePath
      }));

      if (this.plugins) {
        if (!(0, _isUndefined2.default)(this.plugins.autoprefixer)) {
          lessPlugins.push(new _lessPluginAutoprefix2.default(this.plugins.autoprefixer || {}));
        }
        if (!(0, _isUndefined2.default)(this.plugins['clean-css'])) {
          lessPlugins.push(new _lessPluginCleanCss2.default(this.plugins['clean-css'] || {}));
        }
      }

      var rawAsset = _fsExtra2.default.readFileSync(this.assetSource, 'utf8');

      return new _promise2.default(function (resolve, reject) {
        _less2.default.render(rawAsset, {
          // Specify search paths for @import directives.
          paths: [sourcePath],
          plugins: lessPlugins
        }, function (e, output) {
          if (e) {
            return reject(e);
          }

          resolve(output.css);
        });
      });
    }
  }, {
    key: '_getDestination',
    value: function _getDestination() {
      var destination = this.assetDestination.replace(/\.less$/, '.css');

      return destination;
    }
  }]);
  return Less;
}(_processorBase2.default);

exports.default = Less;